Subject: [http-auth] Fwd: Re: Fwd: I-D Action: draft-reschke-basicauth-enc-03.txt

From: Julian Reschke <[email-masked]>
Date: Thu, 26 Jan 2012 09:29:44 +0100

FYI - please send comments to [email-masked]*

-------- Original Message --------
Subject: Re: Fwd: I-D Action: draft-reschke-basicauth-enc-03.txt
Resent-Date: Thu, 26 Jan 2012 02:30:40 +0000
Resent-From: [email-masked]
Date: Thu, 26 Jan 2012 03:30:08 +0100
From: Bjoern Hoehrmann <[email-masked]>
To: Julian Reschke <[email-masked]>
CC: HTTP Working Group <[email-masked]>, 
[email-masked]

* Julian Reschke wrote:
>FYI: this is a minor update (adding a note about XHR sometimes using a
>different encoding default). At this point there's nothing left to do
>here except for waiting for feedback; hopefully from implementers.
>Should I try to get it published as is?

A note to [email-masked] might be a good idea, at
least in 2006 the list discussed encoding issues like the document
addresses. In fact, let me just try copying it there (and if E-Mail
had a Followup-to header like we had with Netnews, I would not have
to worry about silly crosspost responses...)

>A New Internet-Draft is available from the on-line Internet-Drafts
>directories.
>
>	Title           : An Encoding Parameter for HTTP Basic Authentication
>	Author(s)       : Julian F. Reschke
>	Filename        : draft-reschke-basicauth-enc-03.txt
>	Pages           : 9
>	Date            : 2012-01-25
>
>    The "Basic" authentication scheme defined in RFC 2617 does not
>    properly define how to treat non-ASCII characters.  This has lead to
>    a situation where user agent implementations disagree, and servers
>    make different assumptions based on the locales they are running in.
>    There is little interoperability for characters in the ISO-8859-1
>    character set, and even less interoperability for any characters
>    beyond that.
>
>    This document defines a backwards-compatible extension to "Basic",
>    specifying the server's character encoding expectation, using a new
>    authentication scheme parameter.
>
>
>A URL for this Internet-Draft is:
>http://www.ietf.org/internet-drafts/draft-reschke-basicauth-enc-03.txt

regards,
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/